
Core - Task # 55675

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 55516 (Resolved): Reduce the number of backend script entry points

Status: Resolved Priority: Should have
Author: Anja Leichsenring Category:
Created: 2014-02-04 Assigned To: Nicole Cordes
Updated: 2014-03-15 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Sprint Focus:
Subject: version entry script cleanup
Description

typo3/sysext/version/cm1/index.php uses init.php

Associated revisions
Revision 232f4d10 - 2014-03-15 22:37 - Nicole Cordes

[TASK] version entry script cleanup

The patch adds usage of module dispatcher to enable CSRF protection to
version click module.

Resolves: #55675
Releases: 6.2
Change-Id: Ib31e419fd2a880052e93f3eea95d51c75d442e23
Reviewed-on: https://review.typo3.org/28209
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

History
#1 - 2014-03-07 01:22 - Helmut Hummel
- Assigned To changed from Anja Leichsenring to Nicole Cordes

#2 - 2014-03-10 01:55 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28209

#3 - 2014-03-15 23:30 - Nicole Cordes
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:232f4d10f1e8069d8ceaa3a78a77f2a548132e7d.
